core / AuthenticatedObject

# AuthenticatedObject

`data class AuthenticatedObject<out T : Any>`

Wraps an object that was signed by a public key, which may be a well known/recognised institutional key.

### Constructors

<init> | `AuthenticatedObject(signers: List<PublicKey>, signingParties: List<Party>, value: T)` Wraps an object that was signed by a public key, which may be a well known/recognised institutional key.

### Properties

signers | `val signers: List<PublicKey>`
signingParties | `val signingParties: List<Party>` If any public keys were recognised, the looked up institutions are available here
value | `val value: T`